Module ij
Package ij.macro

# Class FunctionFinder

java.lang.Object
ij.macro.FunctionFinder

All Implemented Interfaces:
  `ActionListener`, `ItemListener`, `KeyListener`, `TextListener`, `WindowListener`, `EventListener`

public class FunctionFinder extends Object implements TextListener, WindowListener, KeyListener, ItemListener, ActionListener
This class implements the text editor's Macros/Find Functions command. It was written by jerome.mutterer at ibmp.fr, and is based on Mark Longair's CommandFinder plugin.

## Constructor Summary

Constructors
Constructor
Description
`FunctionFinder()`
`FunctionFinder(Editor editor)`

## Method Summary

Modifier and Type
Method
Description
`void`
`actionPerformed(ActionEvent e)`
`void`
`close()`
`void`
`closeAndRefocus()`
`void`
`edPaste(String arg)`
`void`
`itemStateChanged(ItemEvent ie)`
`void`
`keyPressed(KeyEvent ke)`
`void`
`keyReleased(KeyEvent ke)`
`void`
`keyTyped(KeyEvent ke)`
`void`
`populateList(String matchingSubstring)`
`protected void`
`runFromLabel(String listLabel)`
`void`
`textValueChanged(TextEvent te)`
`void`
`windowActivated(WindowEvent e)`
`void`
`windowClosed(WindowEvent e)`
`void`
`windowClosing(WindowEvent e)`
`void`
`windowDeactivated(WindowEvent e)`
`void`
`windowDeiconified(WindowEvent e)`
`void`
`windowIconified(WindowEvent e)`
`void`
`windowOpened(WindowEvent e)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FunctionFinder

public FunctionFinder(Editor editor)

### FunctionFinder

public FunctionFinder()

## Method Details

### populateList

public void populateList(String matchingSubstring)

### edPaste

public void edPaste(String arg)

### itemStateChanged

public void itemStateChanged(ItemEvent ie)

Specified by:
  `itemStateChanged` in interface `ItemListener`

### runFromLabel

protected void runFromLabel(String listLabel)

### close

public void close()

### closeAndRefocus

public void closeAndRefocus()

### keyPressed

public void keyPressed(KeyEvent ke)

Specified by:
  `keyPressed` in interface `KeyListener`

### keyReleased

public void keyReleased(KeyEvent ke)

Specified by:
  `keyReleased` in interface `KeyListener`

### keyTyped

public void keyTyped(KeyEvent ke)

Specified by:
  `keyTyped` in interface `KeyListener`

### textValueChanged

public void textValueChanged(TextEvent te)

Specified by:
  `textValueChanged` in interface `TextListener`

### actionPerformed

public void actionPerformed(ActionEvent e)

Specified by:
  `actionPerformed` in interface `ActionListener`

### windowClosing

public void windowClosing(WindowEvent e)

Specified by:
  `windowClosing` in interface `WindowListener`

### windowActivated

public void windowActivated(WindowEvent e)

Specified by:
  `windowActivated` in interface `WindowListener`

### windowDeactivated

public void windowDeactivated(WindowEvent e)

Specified by:
  `windowDeactivated` in interface `WindowListener`

### windowClosed

public void windowClosed(WindowEvent e)

Specified by:
  `windowClosed` in interface `WindowListener`

### windowOpened

public void windowOpened(WindowEvent e)

Specified by:
  `windowOpened` in interface `WindowListener`

### windowIconified

public void windowIconified(WindowEvent e)

Specified by:
  `windowIconified` in interface `WindowListener`

### windowDeiconified

public void windowDeiconified(WindowEvent e)

Specified by:
  `windowDeiconified` in interface `WindowListener`